Support » Plugin: WordPress Popular Posts » Plugin has worked for years then suddenly “Sorry. No data so far.”

  • Hi, I have been using WPP for years and I love it. Recently it stopped working and I am getting the aforementioned error message. I recently installed WooCommerce on my site, I also updated the php on my site to version 7, and I updated WordPress to version 5.2.1. I am currently on version 4.2.2 of the plugin and I am using a child them for Twenty Twelve. I also tried uninstalling and reinstalling the plugin.

    • This topic was modified 5 months, 2 weeks ago by 2xUeL.
    • This topic was modified 5 months, 2 weeks ago by 2xUeL.
    • This topic was modified 5 months, 2 weeks ago by 2xUeL.

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Héctor Cabrera

    (@hcabrera)

    Hi @2xuel,

    Just checked one of your posts and when WordPress Popular Posts attempted to update its views count your server responded with a 403 Forbidden error and the message “Cookie Nonce is invalid.” This is generally related to caching issues, if so then trying the suggestions from this FAQ may help: Is WordPress Popular Posts compatible with caching plugins?

    403 Forbidden response

    Ok I’ll look into it. I’m guessing it has something to do with implementing SSL and WooCommerce.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Hey @2xuel,

    I stopped by your site just now and noticed that the problem still persists. Since you’re using WooCommerce, I believe you’re having the same issue another user reported here: Stopped counting stats. The last comment there explains in a nutshell what the problem is and there’s also a temporary workaround you might want to try.

    Thanks! I read through that and understand that the temporary fix is to either disable the Paypal plugin or revert back to the older version of WooCommerce. I think I’m going to leave things as is with WooCommerce for now and disable WPP.

    Please let me know if you find a solution, as I may need to look for a different popular posts plugin that is compatible with WooCommerce.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Please let me know if you find a solution, as I may need to look for a different popular posts plugin that is compatible with WooCommerce.

    I’m not sure if there’s something I can do about it as the issue seems to be on WC’s side, not on WPP’s. I’m saying this because apparently due to some recent changes there have been conflicts with WC and other plugins as well, not just with WPP. There’s also an open issue on WooCommerce PayPal Checkout Gateway’s GitHub repository about this bug that was created almost a month ago -at the time of writing- but unfortunately there has been no response from the WC team so far (link). I will of course continue to do what I can to help resolve the matter.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.